<% local data, viewlibrary, page_info, session = ... 
require("viewfunctions")
%>
<%
--[[ DEBUG INFORMATION
io.write("<H1>DEBUGGING</H1><span style='color:red'><H2>DEBUG INFO: CFE</H2>")
io.write(html.cfe_unpack(data))
io.write("</span>")
--]]
%>

<% displaycommandresults({"editdomain", "deletedomain"}, session) %>
<% displaycommandresults({"createdomain"}, session, true) %>

<h1>Configuration</h1>
<h2>Edit/View DNS server entries</h2>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Action</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">Domain</TD>
	</TR>		
<% for i,domain in ipairs(data.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
			<% io.write(html.link{value = "editdomain?domain=" .. domain.."&redir="..page_info.orig_action, label="Edit " }) %>
			<% if domain ~= "@" then 
				io.write(html.link{value = "deletedomain?domain=" .. domain, label="Delete " })
			end %>
		</TD>
		<TD style="white-space:nowrap;" width="90%"><%= html.html_escape(domain) %></TD>
	</TR>
<% end %>
</TABLE>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("createdomain")
end %>
